<?php
if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) {
    exit(esc_html__('Please don\'t access this file directly.', 'GFCCGA'));
}

## register the stylesheets and scripts
wp_register_style("GFCCGAAdminStyle", GFCCGA_PLUGIN_URL . "/assets/style/admin_style.css");
wp_enqueue_style('GFCCGAAdminStyle');

wp_register_script('GFCCGAAdminJS',  GFCCGA_PLUGIN_URL . '/assets/js/admin.js', array(), false, true);
wp_enqueue_script('GFCCGAAdminJS');

wp_localize_script(
    'GFCCGAAdminJS',
    'objGFCCGA',
    array(
        'ajaxurl' => admin_url('admin-ajax.php'),
        'pluginurl' => GFCCGA_PLUGIN_URL,
    )
);

$GFCCGA_wp_form_id = get_option('GFCCGA_WP_FORM_ID');
$GFCCGA_wp_form_id_Reg = get_option('GFCCGA_WP_FORM_ID_REG');
$GFCCGA_coupon_field_id = get_option('GFCCGA_COUPON_FIELD_ID');
$GFCCGA_coupon_length = get_option('GFCCGA_COUPON_LENGTH');
$GFCCGA_discount_type = get_option('GFCCGA_DISCOUNT_TYPE');
$GFCCGA_discount_amount = get_option('GFCCGA_DISCOUNT_AMOUNT');
$GFCCGA_max_uses = get_option('GFCCGA_MAX_USAGE');
$GFCCGA_min_price = get_option('GFCCGA_MIN_PRICE');

?>

<div class="wrap">
    <form name="GFCCGA_sugar_settings" id="GFCCGA_sugar_settings" method="post">
        <input type="hidden" id="GFCCGA_nonce" value="<?php echo wp_create_nonce('GFCCGA') ?>" name="GFCCGA_nonce">
        <div class="GFCCGA_errmsg"></div>
        <div class="GFCCGA_successmsg"></div>

        <table class="form-table GFCCGA-form-table">
            <tbody>
                <tr>
                    <th colspan="2">
                        <h1><?php _e('Coupon Generate Form Settings', 'GFCCGA') ?></h1>
                    </th>
                </tr>
                <tr>
                    <th><?php _e('Form ID', 'GFCCGA') ?></th>
                    <td>
                        <input name="GFCCGA_wp_form_id" autocomplete="off" type="text" id="GFCCGA_wp_form_id" class="GFCCGA_input" onkeypress="return isNumber(event)" value="<?php echo esc_attr($GFCCGA_wp_form_id); ?>">
                        <p class="GFCCGA_p"><?php _e('The ID of the form (integer)', 'GFCCGA') ?></p>
                    </td>
                </tr>
                <tr>
                    <th><?php _e('Coupon Field ID', 'GFCCGA') ?></th>
                    <td>
                        <input name="GFCCGA_coupon_field_id" autocomplete="off" type="text" id="GFCCGA_coupon_field_id" class="GFCCGA_input" onkeypress="return isNumber(event)" value="<?php echo esc_attr($GFCCGA_coupon_field_id); ?>">
                        <p class="GFCCGA_p"><?php _e('The ID of the form field holding the Coupon code (integer)', 'GFCCGA') ?></p>
                    </td>
                </tr>
                <tr>
                    <th><?php _e('Coupon Length', 'GFCCGA') ?></th>
                    <td>
                        <input name="GFCCGA_coupon_length" autocomplete="off" type="text" id="GFCCGA_coupon_length" class="GFCCGA_input" onkeypress="return isNumber(event)" value="<?php echo esc_attr($GFCCGA_coupon_length); ?>">
                        <p class="GFCCGA_p"><?php _e('The length of the coupon code (integer)', 'GFCCGA') ?></p>
                    </td>
                </tr>
                <tr>
                    <th><?php _e('Discount Type', 'GFCCGA') ?></th>
                    <td>
                        <select name="GFCCGA_discount_type" id="GFCCGA_discount_type">
                            <option value="percentage" <?php if ($GFCCGA_discount_type == 'percentage') echo 'selected'; ?>>Percentage</option>
                            <option value="flat" <?php if ($GFCCGA_discount_type == 'flat') echo 'selected'; ?>>Flat</option>
                        </select>
                        <p class="GFCCGA_p"><?php _e('The type of discount to be applied to the coupon', 'GFCCGA') ?></p>
                    </td>
                </tr>
                <tr>
                    <th><?php _e('Discount Amount', 'GFCCGA') ?></th>
                    <td>
                        <input name="GFCCGA_discount_amount" autocomplete="off" type="text" id="GFCCGA_discount_amount" class="GFCCGA_input" onkeypress="return isNumber(event)" value="<?php echo esc_attr($GFCCGA_discount_amount); ?>">
                        <p class="GFCCGA_p"><?php _e('The amount of discount to be applied to the coupon', 'GFCCGA') ?></p>
                    </td>
                </tr>
                <tr>
                    <th><?php _e('Max Usage', 'GFCCGA') ?></th>
                    <td>
                        <input name="GFCCGA_max_usage" autocomplete="off" type="text" id="GFCCGA_max_usage" class="GFCCGA_input" onkeypress="return isNumber(event)" value="<?php echo esc_attr($GFCCGA_max_uses); ?>">
                        <p class="GFCCGA_p"><?php _e('The maximum number of times the coupon can be used (integer)', 'GFCCGA') ?></p>
                    </td>
                </tr>
                <tr>
                    <th><?php _e('Minimum Price', 'GFCCGA') ?></th>
                    <td>
                        <input name="GFCCGA_min_price" autocomplete="off" type="text" id="GFCCGA_min_price" class="GFCCGA_input" onkeypress="return isNumber(event)" value="<?php echo esc_attr($GFCCGA_min_price); ?>">
                        <p class="GFCCGA_p"><?php _e('The minimum price of the product to be eligible for the coupon (integer)', 'GFCCGA') ?></p>
                    </td>
                </tr>
                <tr>
                    <th colspan="2">
                        <h1><?php _e('Coupon Usage Form Settings:', 'GFCCGA') ?></h1>
                    </th>
                <tr>
                <tr>
                    <th><?php _e('Form ID', 'GFCCGA') ?></th>
                    <td>
                        <input name="GFCCGA_wp_form_id_Reg" autocomplete="off" type="text" id="GFCCGA_wp_form_id_Reg" class="GFCCGA_input" onkeypress="return isNumber(event)" value="<?php echo esc_attr($GFCCGA_wp_form_id_Reg); ?>">
                        <p class="GFCCGA_p"><?php _e('The ID of the form (integer)', 'GFCCGA') ?></p>
                    </td>
                </tr>
            </tbody>
        </table>
        <input type="submit" name="GFCCGA_save_config" id="GFCCGA_save_config" class="button button-primary GFCCGA_save_config" value="Save Settings">
    </form>
</div>