<?php
if (realpath(__FILE__) == realpath($_SERVER['SCRIPT_FILENAME'])) {
    exit(esc_html__('Please don\'t access this file directly.', 'GFCCGA'));
}

## Add menu item to the admin menu
add_action('admin_menu', 'GFCCGA_menu_page');
function GFCCGA_menu_page() {
    add_menu_page( 'Generate Coupon Setting', 'Generate Coupon Setting', 'administrator', 'GFCCGA_settings', 'GFCCGA_settings', '', 10000 );
}

## Add settings page
function GFCCGA_settings(){
    require_once GFCCGA_PLUGIN_DIR.'/api_setting.php';
}

## WP API detail save method
add_action('wp_ajax_GFCCGA_save_wp_detail', 'GFCCGA_save_wp_detail');
function GFCCGA_save_wp_detail() {
	$response = array();
	
	wp_unslash($_POST);
	if ( isset($_POST['GFCCGA_nonce']) && !wp_verify_nonce( sanitize_text_field($_POST['GFCCGA_nonce']), 'GFCCGA' ) ) {
        $response['message'] = esc_html__('Security check!', 'GFCCGA'); 
		$response = json_encode($response);
		wp_die($response);
        exit;
	}

    if (isset($_POST['GFCCGA_wp_form_id_Reg']) && !empty($_POST['GFCCGA_wp_form_id_Reg'])) {
        update_option("GFCCGA_WP_FORM_ID_REG", sanitize_text_field($_POST['GFCCGA_wp_form_id_Reg']));
    }
    if (isset($_POST['GFCCGA_wp_form_id']) && !empty($_POST['GFCCGA_wp_form_id'])) {
        update_option("GFCCGA_WP_FORM_ID", sanitize_text_field($_POST['GFCCGA_wp_form_id']));
    }
    if (isset($_POST['GFCCGA_coupon_field_id']) && !empty($_POST['GFCCGA_coupon_field_id'])) {
        update_option("GFCCGA_COUPON_FIELD_ID", sanitize_text_field($_POST['GFCCGA_coupon_field_id']));
    }
    if (isset($_POST['GFCCGA_coupon_length']) && !empty($_POST['GFCCGA_coupon_length'])) {
        update_option("GFCCGA_COUPON_LENGTH", sanitize_text_field($_POST['GFCCGA_coupon_length']));
    }
    if (isset($_POST['GFCCGA_discount_type']) && !empty($_POST['GFCCGA_discount_type'])) {
        update_option("GFCCGA_DISCOUNT_TYPE", sanitize_text_field($_POST['GFCCGA_discount_type']));
    }
    if (isset($_POST['GFCCGA_discount_amount']) && !empty($_POST['GFCCGA_discount_amount'])) {
        update_option("GFCCGA_DISCOUNT_AMOUNT", sanitize_text_field($_POST['GFCCGA_discount_amount']));
    }
    if (isset($_POST['GFCCGA_max_usage']) && !empty($_POST['GFCCGA_max_usage'])) {
        update_option("GFCCGA_MAX_USAGE", sanitize_text_field($_POST['GFCCGA_max_usage']));
    }
    if (isset($_POST['GFCCGA_min_price']) && !empty($_POST['GFCCGA_min_price'])) {
        update_option("GFCCGA_MIN_PRICE", sanitize_text_field($_POST['GFCCGA_min_price']));
    }

    $response['status'] = esc_html__('Y', 'GFCCGA');
    $response['message'] = esc_html__('Settings saved successfully', 'GFCCGA');

    wp_send_json($response);
}

## Add loader in footer
add_action('admin_footer', 'GFCCGA_footer');
function GFCCGA_footer() {
	if (isset($_GET['page']) && ($_GET['page'] === 'GFCCGA_settings')) {
		$arr = array( 
            'br' => array('clear' => array("all")), 
            'section' => array('class' => array("loader-section")), 
            'div' => array('class' => array("loading-section-title", "loader-icon")),
            'img' => array(
                'src' => GFCCGA_PLUGIN_URL.'assets/images/loader.svg',
                'alt' => "Offshore Evolution"
            ),
            'h2' => array("Please wait…"),
		);

		$str = '
		<br clear="all" />
			<section class="loader-section">
				<div class="loading-section-title">
					<div class="loader-icon">
						<img src="'.GFCCGA_PLUGIN_URL.'assets/images/loader.svg" alt="Offshore Evolution loader">
					</div>	
				</div>
			</section>
		<br clear="all" />';
		echo wp_kses( $str, $arr );
	}
}